> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Duel Assigned Details

> Fetch assigned details for Duel tournaments, including assigned matches for rounds.



## OpenAPI

````yaml /api-reference/assigned-data/openapi.json get /tournaments/{tournamentId}/duel/assigned-details
openapi: 3.0.0
info:
  title: Assigned Rounds
  version: 1.0.0
  description: API endpoints for accessing assigned rounds
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /tournaments/{tournamentId}/duel/assigned-details:
    get:
      summary: Get Duel Assigned Details
      description: >-
        Fetch assigned details for Duel tournaments, including assigned matches
        for rounds.
      operationId: getDuelAssignedDetails
      parameters:
        - name: tournamentId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the tournament
        - name: externalId
          in: query
          required: true
          schema:
            type: string
          description: External ID of the user.
      responses:
        '200':
          description: Assigned duel matches fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDuelAssignedDetailsResponse'
              example:
                success: true
                message: Assigned duel matches fetched successfully
                data:
                  rounds:
                    - roundId: a3601040-bedd-4b13-a745-a098e5fe2548
                      roundName: Round 1
                      roundNumber: 1
                      matches:
                        - matchId: d09d41f8-604e-43ad-a0c5-0e86911cbb58
                          tournamentId: 7e8aeca4-f658-4665-9abc-cec9b369a902
                          tournamentName: The invitational
                          roundId: a3601040-bedd-4b13-a745-a098e5fe2548
                          roundName: Round 1
                          matchNumber: 4
                          matchStatus: 2
                          matchResult: 2
                          scheduledAt: null
                          bestOf: 1
                          games:
                            - matchGameId: 3a30c08a-85c3-4926-8382-9fb62c42ee8b
                              matchId: d09d41f8-604e-43ad-a0c5-0e86911cbb58
                              gameSerial: 1
                              mapId: null
                              mapName: null
                              participant1Score: 0
                              participant2Score: 0
                              winnerId: null
                              gameResult: 1
                              extraData: null
                              scheduledAt: null
                          duelDetail:
                            participant1Id: 360b0a90-8fd0-4624-b825-254554b447e8
                            participant1Name: Dark Knightts
                            participant1Logo: >-
                              https://api.dicebear.com/7.x/identicon/svg?seed=Knights
                            participant1ExternalId: null
                            participant1Type: 1
                            participant2Id: 2f032169-b356-4ae0-b2e9-b4f2adead252
                            participant2Name: Phoenix Risings
                            participant2Logo: >-
                              https://api.dicebear.com/7.x/identicon/svg?seed=Phoenix
                            participant2ExternalId: null
                            participant2Type: 1
                            participant1Score: 0
                            participant2Score: 0
                            winnerTeamId: null
                            mapId: null
                            mapName: null
                            duration: null
                meta:
                  traceId: 00-d287aea4103e6faab76bd295b66286f9-7d815704fec566ae-00
                  elapsedMs: 25.94
                  serverTimestamp: '2026-02-17T12:20:48.8721693Z'
components:
  schemas:
    GetDuelAssignedDetailsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            rounds:
              type: array
              items:
                $ref: '#/components/schemas/DuelRoundDetails'
        meta:
          $ref: '#/components/schemas/Meta'
    DuelRoundDetails:
      type: object
      properties:
        roundId:
          type: string
          format: uuid
        roundName:
          type: string
        roundNumber:
          type: integer
        matches:
          type: array
          items:
            $ref: '#/components/schemas/AssignedDuelMatch'
    Meta:
      type: object
      properties:
        traceId:
          type: string
          example: 00-eafdb3435de2eb96fa8f21b4426e6706-320a36e766afe193-00
        elapsedMs:
          type: number
          example: 46.56
        serverTimestamp:
          type: string
          format: date-time
          example: '2026-02-17T11:15:10.8986462Z'
    AssignedDuelMatch:
      type: object
      properties:
        matchId:
          type: string
          format: uuid
        tournamentId:
          type: string
          format: uuid
        tournamentName:
          type: string
        roundId:
          type: string
          format: uuid
        roundName:
          type: string
        matchNumber:
          type: integer
        matchStatus:
          type: integer
        matchResult:
          type: integer
        scheduledAt:
          type: string
          format: date-time
          nullable: true
        bestOf:
          type: integer
        games:
          type: array
          items:
            $ref: '#/components/schemas/AssignedDuelGame'
        duelDetail:
          $ref: '#/components/schemas/AssignedDuelMatchDetail'
    AssignedDuelGame:
      type: object
      properties:
        matchGameId:
          type: string
          format: uuid
        matchId:
          type: string
          format: uuid
        gameSerial:
          type: integer
        mapId:
          type: string
          nullable: true
        mapName:
          type: string
          nullable: true
        participant1Score:
          type: number
        participant2Score:
          type: number
        winnerId:
          type: string
          format: uuid
          nullable: true
        gameResult:
          type: integer
        extraData:
          type: string
          nullable: true
        scheduledAt:
          type: string
          format: date-time
          nullable: true
    AssignedDuelMatchDetail:
      type: object
      properties:
        participant1Id:
          type: string
          format: uuid
          nullable: true
        participant1Name:
          type: string
          nullable: true
        participant1Logo:
          type: string
          nullable: true
        participant1ExternalId:
          type: string
          nullable: true
        participant1Type:
          type: integer
          nullable: true
        participant2Id:
          type: string
          format: uuid
          nullable: true
        participant2Name:
          type: string
          nullable: true
        participant2Logo:
          type: string
          nullable: true
        participant2ExternalId:
          type: string
          nullable: true
        participant2Type:
          type: integer
          nullable: true
        participant1Score:
          type: number
        participant2Score:
          type: number
        winnerTeamId:
          type: string
          format: uuid
          nullable: true
        mapId:
          type: string
          nullable: true
        mapName:
          type: string
          nullable: true
        duration:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````